Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::layoutrecognition::LRContentElement Class Reference
Inheritance diagram for foxit::addon::layoutrecognition::LRContentElement:

## Public Member Functions
| LRContentElement ()
| Constructor.
| LRContentElement (const LRContentElement &other)
| Constructor, with another content element object. More...
| LRContentElement (const LRElement &element)
| Constructor, with parent class object. More...
| ~LRContentElement ()
| Destructor.
RectF | GetBBox () const
| Get bounding box. More...
LRGraphicsObjectElement | GetGraphicsObjectElement () const
| Get the related graphics object element. More...
common::Range | GetGraphicsObjectRange ()
| Get the range of current content element in current graphics object. More...
Matrix | GetMatrix () const
| Get matrix. More...
LRStructureElement | GetParentElement () const
| Get the parent element. More...
Public Member Functions inherited from foxit::addon::layoutrecognition::LRElement
| LRElement ()
| Constructor.
| LRElement (const LRElement &other)
| Constructor, with another base element object. More...
| ~LRElement ()
| Destructor.
ElementType | GetElementType ()
| Get element type. More...
bool | IsContentElement () const
| Check whether current object is content element or not. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | IsGraphicsObjectElement () const
| Check whether current object is graphics object element or not. More...
bool | IsStructureElement () const
| Check whether current object is structure element or not. More...
bool | operator!= (const LRElement &other) const
| Not equal operator. More...
LRElement & | operator= (const LRElement &other)
| Assign operator. More...
bool | operator== (const LRElement &other) const
| Equal operator. More...
String | StringifyType () const
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::addon::layoutrecognition::LRElement
enum | ElementType { e_ElementTypeDocument = 0x0000, e_ElementTypeDocumentFragment = 0x0001, e_ElementTypePart = 0x0002, e_ElementTypeArt = 0x0101, e_ElementTypeSect = 0x0102, e_ElementTypeDiv = 0x0100, e_ElementTypeBlockQuote = 0x0103, e_ElementTypeCaption = 0x0104, e_ElementTypeTOC = 0x0105, e_ElementTypeTOCI = 0x0106, e_ElementTypeIndex = 0x0107, e_ElementTypeAside = 0x0108, e_ElementTypeTitle = 0x0109, e_ElementTypeFENote = 0x010A, e_ElementTypeNonStruct = 0x010F, e_ElementTypePrivate = 0x0110, e_ElementTypeParagraph = 0x0200, e_ElementTypeHeading = 0x0201, e_ElementTypeHeading1 = 0x0202, e_ElementTypeHeading2 = 0x0203, e_ElementTypeHeading3 = 0x0204, e_ElementTypeHeading4 = 0x0205, e_ElementTypeHeading5 = 0x0206, e_ElementTypeHeading6 = 0x0207, e_ElementTypeHeadingN = 0x0208, e_ElementTypeList = 0x0209, e_ElementTypeListItem = 0x020A, e_ElementTypeListLabel = 0x020B, e_ElementTypeListBody = 0x020C, e_ElementTypeTable = 0x020D, e_ElementTypeTableRow = 0x020E, e_ElementTypeTableHeaderCell = 0x020F, e_ElementTypeTableDataCell = 0x0210, e_ElementTypeTableHeaderGroup = 0x0211, e_ElementTypeTableBodyGroup = 0x0212, e_ElementTypeTableFootGroup = 0x0213, e_ElementTypeSpan = 0x0300, e_ElementTypeQuote = 0x0301, e_ElementTypeNote = 0x0302, e_ElementTypeReference = 0x0303, e_ElementTypeBibEntry = 0x0304, e_ElementTypeCode = 0x0305, e_ElementTypeLink = 0x0306, e_ElementTypeAnnot = 0x0307, e_ElementTypeRuby = 0x0308, e_ElementTypeRubyBase = 0x0309, e_ElementTypeRubyAnnot = 0x030A, e_ElementTypeRubyPunc = 0x030B, e_ElementTypeWarichu = 0x030C, e_ElementTypeWarichuText = 0x030D, e_ElementTypeWarichuPunc = 0x030E, e_ElementTypeEm = 0x030F, e_ElementTypeStrong = 0x0310, e_ElementTypeSub = 0x0311, e_ElementTypeFigure = 0x0400, e_ElementTypeFormula = 0x0401, e_ElementTypeForm = 0x0402, e_ElementTypeArtifact = 0x1000, e_ElementTypeTextObject = 0x80000001, e_ElementTypePathObject = 0x80000002, e_ElementTypeImageObject = 0x80000003, e_ElementTypeShadingObject = 0x80000004, e_ElementTypeFormObject = 0x80000005, e_ElementTypeContainerObject = 0x8000000C, e_ElementTypeAnnotObject = 0x8000000E, e_ElementTypePageObject = 0x8000000F, e_ElementTypeTextContent = 0xC0000001, e_ElementTypePathContent = 0xC0000002, e_ElementTypeImageContent = 0xC0000003, e_ElementTypeShadingContent = 0xC0000004, e_ElementTypeComplexContent = 0xC000000D, e_ElementTypeAnnotContent = 0xC000000E }
| Enumeration for standard structure types. More...
Static Public Member Functions inherited from foxit::addon::layoutrecognition::LRElement
static String | StringifyElementType (ElementType type)
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...

## Detailed Description

This class represents a content element. A content element contains the content from the graphics object.

## Constructor & Destructor Documentation

## ◆ LRContentElement() [1/2]

foxit::addon::layoutrecognition::LRContentElement::LRContentElement | ( | const LRContentElement & | other | ) |

Constructor, with another content element object.

Parameters

  [in] | other | Another content element object.

## ◆ LRContentElement() [2/2]

foxit::addon::layoutrecognition::LRContentElement::LRContentElement | ( | const LRElement & | element | ) |

Constructor, with parent class object.

Parameters

  [in] | element | Parent class object.

## Member Function Documentation

## ◆ GetBBox()

RectF foxit::addon::layoutrecognition::LRContentElement::GetBBox | ( |  | ) | const

Get bounding box.

Returns
  Bounding box.

## ◆ GetGraphicsObjectElement()

LRGraphicsObjectElement foxit::addon::layoutrecognition::LRContentElement::GetGraphicsObjectElement | ( |  | ) | const

Get the related graphics object element.

Returns
  Related graphics object element. If function LRGraphicsObjectElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetGraphicsObjectRange()

common::Range foxit::addon::layoutrecognition::LRContentElement::GetGraphicsObjectRange | ( |  | ) |

Get the range of current content element in current graphics object.

All the indexes specified in the range represents current content element in the graphics object position.

Returns
  A range object.

## ◆ GetMatrix()

Matrix foxit::addon::layoutrecognition::LRContentElement::GetMatrix | ( |  | ) | const

Get matrix.

Returns
  Matrix.

## ◆ GetParentElement()

LRStructureElement foxit::addon::layoutrecognition::LRContentElement::GetParentElement | ( |  | ) | const

Get the parent element.

Returns
  Parent element. If function LRStructureElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.